Name:           jj
Version:        1
Release:        alt1_4
Summary:        A FIFO and file-system based Jabber/XMPP client
Group:          Networking/WWW
License:        GPLv3
URL:            http://23.fi/%{name}/
Source0:        http://23.fi/%{name}/%{name}-%{version}.tar.gz
# Utilize CFLAGS
# https://github.com/Petteri/jj/pull/2
Patch1:         %{name}-1-optflags.patch
BuildRequires:  libloudmouth-devel
BuildRequires:  glib2-devel
Source44: import.info

%description
%{name} is more tool than traditional instant messenger client.  It can
be easily extended with normal UNIX tools. It is perfect for bots and
notifications.  Interaction is done by writing and reading files from
the server directory which %{name} creates.

%prep
%setup -q -n %{name}
%patch1 -p1 -b .optflags

%build
make %{?_smp_mflags} CFLAGS="%{optflags}"

%install
mkdir -p %{buildroot}%{_bindir}
install -p -m755 %{name} %{buildroot}%{_bindir}/%{name}

%files
%doc README gpl.txt 
%{_bindir}/%{name}

%changelog
* Fri Mar 08 2013 Igor Vlasenko <viy@altlinux.ru> 1-alt1_4
- update to new release by fcimport

* Thu Jan 24 2013 Igor Vlasenko <viy@altlinux.ru> 1-alt1_3
- initial fc import

